Package org.jboss.resteasy.jsapi

## Enum MethodParamMetaData.MethodParamType

- java.lang.Object
- - java.lang.Enum<MethodParamMetaData.MethodParamType>
  - - org.jboss.resteasy.jsapi.MethodParamMetaData.MethodParamType

- All Implemented Interfaces:
    `Serializable`, `Comparable<MethodParamMetaData.MethodParamType>`
  Enclosing class:
    MethodParamMetaData

      public static enum MethodParamMetaData.MethodParamType
      extends Enum<MethodParamMetaData.MethodParamType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COOKIE_PARAMETER` |
    `ENTITY_PARAMETER` |
    `FORM` |
    `FORM_PARAMETER` |
    `HEADER_PARAMETER` |
    `MATRIX_PARAMETER` |
    `PATH_PARAMETER` |
    `QUERY_PARAMETER` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static MethodParamMetaData.MethodParamType` | `valueOf​(String name)` | Returns the enum constant of this type with the specified name.
    `static MethodParamMetaData.MethodParamType[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### QUERY_PARAMETER

          public static final MethodParamMetaData.MethodParamType QUERY_PARAMETER

    - #### HEADER_PARAMETER

          public static final MethodParamMetaData.MethodParamType HEADER_PARAMETER

    - #### COOKIE_PARAMETER

          public static final MethodParamMetaData.MethodParamType COOKIE_PARAMETER

    - #### PATH_PARAMETER

          public static final MethodParamMetaData.MethodParamType PATH_PARAMETER

    - #### MATRIX_PARAMETER

          public static final MethodParamMetaData.MethodParamType MATRIX_PARAMETER

    - #### FORM_PARAMETER

          public static final MethodParamMetaData.MethodParamType FORM_PARAMETER

    - #### FORM

          public static final MethodParamMetaData.MethodParamType FORM

    - #### ENTITY_PARAMETER

          public static final MethodParamMetaData.MethodParamType ENTITY_PARAMETER

  - ### Method Detail

    - #### values

          public static MethodParamMetaData.MethodParamType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (MethodParamMetaData.MethodParamType c : MethodParamMetaData.MethodParamType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static MethodParamMetaData.MethodParamType valueOf​(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null